      SUBROUTINE PRNTID (ID, ARGCNT)
      IMPLICIT NONE
C
C     PRINT VARIABLE NAMES
C
      INTEGER ID(4,1), ARGCNT
C
      INCLUDE MATLAB$KOM:ALFS.KOM
      INCLUDE MATLAB$KOM:IOP.KOM
      INCLUDE MATLAB$KOM:COM.KOM
C
      INTEGER EQUAL, I, J, J1, J2, K, L
C
      DATA EQUAL / 46 /
C
C
      J1 = 1
10    CONTINUE
      J2 = MIN0 (J1+7, IABS (ARGCNT))
      L = 0
      DO 16 J = J1, J2
        DO 15 I = 1, 4
          K = ID(I,J)+1
          L = L+1
          BUF(L) = ALFA(K)
15      CONTINUE
16    CONTINUE
      IF (ARGCNT.EQ.-1) L = L+1
      IF (ARGCNT.EQ.-1) BUF(L) = ALFA(EQUAL+1)
      WRITE (WTE, 20) (BUF(I), I = 1, L)
      IF (WIO.NE.0) WRITE (WIO, 20) (BUF(I), I = 1, L)
20    FORMAT (1X, 8(4A1, '  '))
      J1 = J1+8
      IF (J1.LE.IABS (ARGCNT)) GO TO 10
C
      RETURN
      END
